> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update webhook

> Update an account Webhook subscription.

MCP tool: `podcast_update_webhook`. OAuth scope: `podcast.write`.

<Warning>These subscriptions belong to the account. They do not provide completion notifications for the new Podcast flow. Use [task polling](/api-reference/guides/polling-and-outputs); see [Webhook availability](/api-reference/guides/webhooks).</Warning>


## OpenAPI

````yaml api-reference/openapi.json PUT /open/podcast/v1/webhooks/{endpoint_id}
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/webhooks/{endpoint_id}:
    put:
      tags:
        - Podcast
      summary: update webhook
      description: Update an account Webhook subscription.
      operationId: podcast_update_webhook
      parameters:
        - description: webhook ID
          in: path
          name: endpoint_id
          required: true
          schema:
            type: string
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.UpdateWebhookRequest'
        description: 请求体
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.WebhookEndpoint'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.UpdateWebhookRequest:
      properties:
        endpoint_id:
          description: webhook ID
          type: string
        events:
          description: 事件列表
          items:
            type: string
          type: array
        status:
          description: 状态
          enum:
            - enabled
            - disabled
          type: string
        url:
          description: webhook地址
          type: string
      required:
        - events
        - status
        - url
      type: object
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.WebhookEndpoint:
      properties:
        created_at:
          description: 创建时间
          type: integer
        endpoint_id:
          description: webhook唯一标识
          type: string
        events:
          description: 事件列表
          items:
            type: string
          type: array
        secret:
          description: 密钥
          type: string
        status:
          description: 状态(enabled/disabled)
          type: string
        url:
          description: webhook地址
          type: string
        username:
          description: 用户名
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````